/*
    Project: GoGoChart website revamp
    Author: http://www.CodingCat.hk
*/

main:not(:only-child) { margin-top: 0; }

/* Video Background */
body > .video-background {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 50vh;
    overflow: hidden;
    z-index: -1;
}

.video-background video {
    position: absolute;
    bottom: 0;
    left: 50%;
    min-width: 100%;
    min-height: 50vh;
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}

body > main > .page-cover:first-child { min-height: 50vh; }

/* Page Cover */
.page-cover {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 50vh;
    color: #fff;
    text-transform: uppercase;
    -moz-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -ms-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -o-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    -webkit-text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.4);
}
.page-cover h1 { font-size: 90px; font-weight: 700; }
.page-cover h1 span { color: #1de9b6; }
.page-cover h2 { font-size: 26px; }

/* Articles */
.articles { margin: 0 auto; padding-bottom: 49px; }

.articles ul {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-column-gap: 10px;
    margin: 0;
    padding: 0;
}
.articles li { display: flex; padding-top: 63px; padding-bottom: 0; list-style-type: none; }
.articles li article { flex-direction: column; }

/* Article */
.articles article {
    flex-direction: column;
    position: relative;
    min-height: 350px;
    width: 100%;
    padding-bottom: 50px;
    -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .3);
    -ms-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .3);
    -o-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .3);
    -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .3);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .3);
    -moz-transition: .3s;
    -ms-transition: .3s;
    -o-transition: .3s;
    -webkit-transition: .3s;
    transition: .3s;
}
article:hover {
    -moz-box-shadow: 1px 4px 14px 0 rgba(0, 0, 0, 0.3);
    -ms-box-shadow: 1px 4px 14px 0 rgba(0, 0, 0, 0.3);
    -o-box-shadow: 1px 4px 14px 0 rgba(0, 0, 0, 0.3);
    -webkit-box-shadow: 1px 4px 14px 0 rgba(0, 0, 0, 0.3);
    box-shadow: 1px 4px 14px 0 rgba(0, 0, 0, 0.3);
    -moz-transform: translate(-4px, -4px);
    -ms-transform: translate(-4px, -4px);
    -o-transform: translate(-4px, -4px);
    -webkit-transform: translate(-4px, -4px);
    transform: translate(-4px, -4px);
}
.articles article .thumbnail {
    position: relative;
    margin: 0;
    border-width: 0;
    width: 100%;
    height: 200px;
    padding: 0;
    background-color: #efefef;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    line-height: normal;
    overflow: hidden;
    -moz-border-radius: 0;
    -ms-border-radius: 0;
    -o-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
}
.articles article h3 { margin: 0; padding: 7px; }
.articles article h3 a { font-size: 16px; font-weight: 400; color: #000; }
.articles article h3 a:hover { text-decoration: none; color: #333; }

.articles article time {
    position: absolute;
    right: 7px; bottom: 0;
    line-height: 31px;
    font-size: 14px;
    color: #888;
    text-transform: uppercase;
}

/* Pages */
.articles .pages { text-align: right; color: #000; }
.articles .pages a {
    display: inline-block;
    color: #ff0000;
    margin: 4px;
    padding: 4px;
    text-decoration: underline;
}
.articles .pages a.active { color: #000; }
.articles .pages a.active,
.articles .pages a:hover { text-decoration: none; }